/api/workspaces
POST
/api/workspaces
const url = 'https://example.com/api/workspaces';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","timezone":"example","defaultProjectVisibility":"example","membersCanCreateProjects":true,"membersCanCreateTags":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspaces \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "timezone": "example", "defaultProjectVisibility": "example", "membersCanCreateProjects": true, "membersCanCreateTags": true }'Authorizations
Section intitulée « Authorizations »Request Body required
Section intitulée « Request Body required » Media type application/json
object
name
string
timezone
string
defaultProjectVisibility
string
membersCanCreateProjects
boolean
membersCanCreateTags
boolean
Example generated
{ "name": "example", "timezone": "example", "defaultProjectVisibility": "example", "membersCanCreateProjects": true, "membersCanCreateTags": true}Responses
Section intitulée « Responses »OK